Bug 544265 - Crashes at the end of import
Summary: Crashes at the end of import
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-04 12:35 UTC by Bastien Nocera
Modified: 2009-12-22 04:57 UTC (History)
2 users (show)

Fixed In Version: 0.5.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 04:57:58 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2009-12-04 12:35:40 UTC
shotwell-0.2.0-3.fc12.x86_64

Never used shotwell before, added a folder full of photos, got a crash when it finished importing.

#0  0x000000000044a1ed in batch_import_perform_import (self=<value optimized out>) at BatchImport.vala:216
#1  _batch_import_perform_import_gsource_func (self=<value optimized out>) at BatchImport.c:995
#2  0x000000307403938e in g_main_dispatch (context=<value optimized out>) at gmain.c:1960
#3  IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#4  0x000000307403cd78 in g_main_context_iterate (context=0x26a5be0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2591
#5  0x000000307403d1c5 in IA__g_main_loop_run (loop=0x28e03a0) at gmain.c:2799
#6  0x000000307c5491a7 in IA__gtk_main () at gtkmain.c:1217
#7  0x000000000040e612 in _main (args=0x7fff38a29618, args_length1=1) at main.vala:101
#8  0x000000000040e652 in main (argc=1, argv=0x7fff38a29618) at main.vala:33

Comment 1 Fedora Update System 2009-12-09 21:34:22 UTC
libgee-0.5.0-1.fc12,rygel-0.4.6-1.fc12,gupnp-vala-0.6.2-1.fc12,gupnp-igd-0.1.5-1.fc12,shotwell-0.3.2-3.fc12,gupnp-av-0.5.2-1.fc12,gupnp-0.13.2-1.fc12,gssdp-0.7.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libgee-0.5.0-1.fc12,rygel-0.4.6-1.fc12,gupnp-vala-0.6.2-1.fc12,gupnp-igd-0.1.5-1.fc12,shotwell-0.3.2-3.fc12,gupnp-av-0.5.2-1.fc12,gupnp-0.13.2-1.fc12,gssdp-0.7.1-1.fc12

Comment 2 Fedora Update System 2009-12-11 18:28:41 UTC
libgee-0.5.0-1.fc12, rygel-0.4.6-1.fc12, gupnp-vala-0.6.2-1.fc12, gupnp-igd-0.1.5-1.fc12, shotwell-0.3.2-3.fc12, gupnp-av-0.5.2-1.fc12, gupnp-0.13.2-1.fc12, gssdp-0.7.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgee rygel gupnp-vala gupnp-igd shotwell gupnp-av gupnp gssdp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13105

Comment 3 Fedora Update System 2009-12-16 01:22:15 UTC
libgee-0.5.0-1.fc12, rygel-0.4.6-1.fc12, gupnp-vala-0.6.2-1.fc12, shotwell-0.3.2-3.fc12, gupnp-av-0.5.2-1.fc12, gupnp-0.13.2-1.fc12, gssdp-0.7.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgee rygel gupnp-vala shotwell gupnp-av gupnp gssdp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13105

Comment 4 Fedora Update System 2009-12-22 04:57:35 UTC
libgee-0.5.0-1.fc12, rygel-0.4.6-1.fc12, gupnp-vala-0.6.2-1.fc12, shotwell-0.3.2-3.fc12, gupnp-av-0.5.2-1.fc12, gupnp-0.13.2-1.fc12, gssdp-0.7.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.